%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name fastercsv

%if !("%{?scl}" == "ruby193" || 0%{?rhel} > 6 || 0%{?fedora} > 16)
%global gem_dir /usr/lib/ruby/gems/1.8
%global gem_instdir %{gem_dir}/gems/%{gem_name}-%{version}
%global gem_libdir %{gem_instdir}/lib
%global gem_cache %{gem_dir}/cache/%{gem_name}-%{version}.gem
%global gem_spec %{gem_dir}/specifications/%{gem_name}-%{version}.gemspec
%global gem_docdir %{gem_dir}/doc/%{gem_name}-%{version}
%endif

Summary:	Faster, smaller and cleaner replacement to standard CSV library
Name:		%{?scl_prefix}rubygem-%{gem_name}
Version:	1.5.4
Release:	10%{?dist}
License:	GPLv2 or Ruby
Group:		Development/Languages
URL:		http://fastercsv.rubyforge.org/
Source:		http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
Provides:	%{?scl_prefix}rubygem(%{gem_name}) = %{version}
%if "%{?scl}" == "ruby193"
Requires: %{?scl_prefix}ruby-wrapper
BuildRequires: %{?scl_prefix}ruby-wrapper
%endif
%if 0%{?fedora} > 18  || 0%{?rhel} > 6
Requires: ruby(release) = 2.0.0
BuildRequires: ruby(release) = 2.0.0
BuildRequires: rubygems-devel
%else
%if "%{?scl}" == "ruby193" || 0%{?fedora} > 16
Requires: %{?scl_prefix}ruby(abi) = 1.9.1
BuildRequires: %{?scl_prefix}ruby(abi) = 1.9.1
BuildRequires:  %{?scl_prefix}rubygems-devel
%else
Requires: ruby(abi) = 1.8
BuildRequires: ruby(abi) = 1.8
%endif
%endif
Requires: %{?scl_prefix}rubygems
BuildRequires: %{?scl_prefix}rubygems
BuildArch:	noarch

%description
FasterCSV is intended as a complete replacement to the CSV standard library.
It is significantly faster and smaller while still being pure Ruby code. It
also strives for a better interface.

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir $RPM_BUILD_ROOT%{gem_dir} --force --rdoc %{SOURCE0}
%{?scl:"}

# Find files with a shebang that do not have executable permissions
for file in $(find $RPM_BUILD_ROOT%{gem_instdir} -type f ! -perm /a+x -name "*.rb"); do
  if [ ! -z "`head -n 1 $file | grep \"^#!/\"`" ]; then
    sed -e 's@/usr/local/bin/ruby@%{_bindir}/ruby@g' -i $file
    chmod -v 755 $file
  fi
done
%{__rm} -Rf %{buildroot}/%{gem_instdir}/.yardoc

%check
#ruby -I $RPM_BUILD_ROOT%{gem_instdir}/lib:$RPM_BUILD_ROOT%{gem_instdir}/test $RPM_BUILD_ROOT%{gem_instdir}/test/ts_all.rb

%files
%doc %{gem_dir}/doc/%{gem_name}-%{version}
%{gem_dir}/cache/%{gem_name}-%{version}.gem
%{gem_dir}/specifications/%{gem_name}-%{version}.gemspec
%dir %{gem_dir}/gems/%{gem_name}-%{version}/
%doc %{gem_instdir}/AUTHORS
%doc %{gem_instdir}/CHANGELOG
%doc %{gem_instdir}/COPYING
%doc %{gem_instdir}/INSTALL
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/README
%doc %{gem_instdir}/TODO
%{gem_instdir}/Rakefile
%{gem_instdir}/examples/
%{gem_instdir}/lib/
%{gem_instdir}/setup.rb
%{gem_instdir}/test/

%changelog
* Mon May 05 2014 Jason Montleon <jmontleo@redhat.com> 1.5.4-10
- Fix fastercsv (Build)Requires to work with RHEL 7 (jmontleo@redhat.com)

* Tue Oct 08 2013 Jason Montleon <jmontleo@redhat.com> 1.5.4-9
- fix for non-scl builds (jmontleo@redhat.com)

* Tue Oct 08 2013 Jason Montleon <jmontleo@redhat.com> 1.5.4-8
- 

* Thu Sep 12 2013 Jason Montleon <jmontleo@redhat.com> 1.5.4-7
- new package built with tito

* Wed May 08 2013 Brad Buckingham <bbuckingham@redhat.com> 1.5.4-6
- rebuild for sat6 mdp1

* Fri Mar 01 2013 Miroslav Suchý <msuchy@redhat.com> 1.5.4-4
- new package built with tito

* Mon Jul 16 2012 Miroslav Suchý <msuchy@redhat.com> 1.5.4-3
- new package built with tito

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Oct 08 2011 Robert Scheck <robert@fedoraproject.org> 1.5.4-1
- Upgrade to 1.5.4

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Mar 28 2010 Robert Scheck <robert@fedoraproject.org> 1.5.1-1
- Upgrade to 1.5.1

* Sun Aug 09 2009 Robert Scheck <robert@fedoraproject.org> 1.5.0-2
- Added missing requirement to ruby(abi) = version (#514928 #c1)
- Switched from defines to globals, updated summary in spec file
- Corrected license tag and removed duplicates in docs (#514928)

* Fri Jul 31 2009 Robert Scheck <robert@fedoraproject.org> 1.5.0-1
- Upgrade to 1.5.0
- Initial spec file for Fedora and Red Hat Enterprise Linux
